# GPT for English(GPTE)

English Language Assistance Tools(Translation, Polishing) Based on ChatGPT

## Install

```shell
pip install --upgrade gpte
```

## Usage

```shell
ee --key sk-..... # set your OpenAI apikey
```

### Translation

```shell
ee 今天天气怎么样  # To English
ee -c "How's the weather today?" # to Chinese
```

### Polishing

```shell
ee -p -f README.md # polish a file

ee -p "How's the weather today?"
```

### Ask ChatGPT

```shell
ee -a Who are you # ask ChatGPT directlly
```

## Development

```shell
pip install tox
make test
```
